Bug 517233 - Yum Repository Label can contain white spaces
Summary: Yum Repository Label can contain white spaces
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space13
TreeView+ depends on / blocked
 
Reported: 2009-08-13 06:35 UTC by Marcus Moeller
Modified: 2010-11-26 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-26 14:59:35 UTC


Attachments (Terms of Use)

Description Marcus Moeller 2009-08-13 06:35:22 UTC
Description of problem:

Despite the Channel Label, a Yum Repository Label can contain white spaces. 

Version-Release number of selected component (if applicable):

0.6

Expected results:

Either an error message should occur or white spaces could be trimmed.

Comment 1 Miroslav Suchý 2010-01-27 16:14:17 UTC
Can you describe what you thing the error is? I mean in more detail.

Comment 2 Jan Pazdziora 2010-11-19 16:03:14 UTC
Mass-moving to space13.

Comment 3 Jan Pazdziora 2010-11-26 14:59:35 UTC
(In reply to comment #1)
> Can you describe what you thing the error is? I mean in more detail.

It is possible to go to /rhn/channels/manage/repos/RepoCreate.do and create repository with label

   spacewalk client 1.2

-- with spaces.

On the other hand, that label is not used with spacewalk-repo-sync (channel label is used there) so there does not seem to be any hard having the spaces where.

I shall close with NOTABUG now, please reopen if you disagree.


Note You need to log in before you can comment on or make changes to this bug.